SQLITE3_DB_READONLY(3)

NAME
sqlite3_db_readonly - Determine if a database is read-only

SYNOPSIS
int
sqlite3_db_readonly(sqlite3 *db, const char *zDbName);

DESCRIPTION
The sqlite3_db_readonly(D,N) interface returns 1 if the database N of connection D is read-only, 0 if it is read/write, or -1 if N is not the name of a database on connection D.